%define		status		stable
%define		pearname	Net_IMAP
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - an implementation of the IMAP protocol
Summary(pl.UTF-8):	%{pearname} - implementacja protokołu IMAP
Name:		php-pear-%{pearname}
Version:	1.1.3
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	942b549b00bb17c76dcbfba88223534c
URL:		http://pear.php.net/package/Net_IMAP/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-Net_Socket >= 1.0.8
Suggests:	php-pear-Auth_SASL
Obsoletes:	php-pear-Net_IMAP-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides an implementation of the IMAP4Rev1 protocol using PEAR's
Net_Socket and Auth_SASL class.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Klasa dostarcza implementację protokołu IMAP4Rev1 przy użyciu
PEAR-owych klas Net_Socket oraz Auth_SASL.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv docs/Net_IMAP/docs tests
mv docs/Net_IMAP/* .
mv .%{php_pear_dir}/data/Net_IMAP/composer.json .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README LICENSE.txt install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/*.php
%changelog
* Thu Jun 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Net_IMAP.git;a=log;h=master

* Wed Jun 18 2014 Elan Ruusamäe <glen@delfi.ee> 8a9e963
- up to 1.1.3

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 8bc9960
- updated to: 1.1.2

* Sun Mar 25 2012 Elan Ruusamäe <glen@pld-linux.org> 947192a
- package README

* Sun Mar 25 2012 Elan Ruusamäe <glen@pld-linux.org> 9c8c9e3
- up to 1.1.1

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 9122faf
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 21f712a
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 5f4e846
- updated deps with pearize.sh
- release 2

* Mon Sep 14 2009 hawk <hawk@pld-linux.org> c0ed3fc
- updated to 1.1.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 6676034
- rel 5

* Thu Sep 13 2007 Jan Rękorajski <baggins@pld-linux.org> 584c4ce
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 03b7a59
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d12a126
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 92c7d6d
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> b2728fc
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 7bb9bb7
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> a673e3e
- group Development/Languages/PHP for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> a933139
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 0c22cd3
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 53f2044
- semi automatically added deps from pear

* Wed Sep 28 2005 Elan Ruusamäe <glen@pld-linux.org> bf30e53
- new pear packaging

